Package com.verisign.epp.serverstub.v1_0

## Class MaintenancePollHandler

- java.lang.Object
- - com.verisign.epp.serverstub.v1_0.MaintenancePollHandler

- All Implemented Interfaces:
    `EPPPollHandler`

      public class MaintenancePollHandler
      extends java.lang.Object
      implements EPPPollHandler

  The `MaintenancePollHandler` implements `EPPPollHandler` for Maintenance Name Mapping.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `KIND` | The kind used for the `MaintenancePollHandler` poll messages.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MaintenancePollHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKind()` | Gets the kind of poll messages it handles.
    `EPPResponse` | `toResponse​(EPPPollDataRecord aRecord)` | Converts a poll queue `EPPPollDataRecord` to an `EPPResponse`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KIND

          public static final java.lang.String KIND

      The kind used for the `MaintenancePollHandler` poll messages.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MaintenancePollHandler

          public MaintenancePollHandler()

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

      Gets the kind of poll messages it handles.
      Specified by:
        `getKind` in interface `EPPPollHandler`
      Returns:
        The domain name XML namespace represented by `@link EPPMaintenanceMapFactory.NS`.

    - #### toResponse

          public EPPResponse toResponse​(EPPPollDataRecord aRecord)
                                 throws EPPPollQueueException

      Converts a poll queue `EPPPollDataRecord` to an `EPPResponse`.
      Specified by:
        `toResponse` in interface `EPPPollHandler`
      Parameters:
        `aRecord` - Poll queue record to convert to an `EPPResponse`.
      Returns:
        An `EPPResponse` that represents the poll queue record.
      Throws:
        `EPPPollQueueException` - Error converting the `EPPPollDataRecord` to an `EPPResponse`.